com.genesyslab.wfm8.API.service.schedule852

## Class SchScenarioHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchScenarioHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioHolder
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgUserShort>` | `cfgUserInfo` Contains short user information for every unique gswUserId in SchScenario or SchScenarioShort.
    `protected int` | `cfgUserInfoNSizeIs` Number of elements in the 'cfgUserInfo' array
    `protected java.util.List<SchScenario>` | `scenario` An array of `SchScenario`
    `protected int` | `scenarioNSizeIs` Number of elements in the 'scenario' array
    `protected java.util.List<SchScenarioShort>` | `scenarioShort` An array of `SchScenarioShort`
    `protected int` | `scenarioShortNSizeIs` Number of elements in the 'scenarioShort' array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgUserShort>` | `getCfgUserInfo()` Gets the value of the cfgUserInfo property.
    `int` | `getCfgUserInfoNSizeIs()` Gets the value of the cfgUserInfoNSizeIs property.
    `java.util.List<SchScenario>` | `getScenario()` Gets the value of the scenario property.
    `int` | `getScenarioNSizeIs()` Gets the value of the scenarioNSizeIs property.
    `java.util.List<SchScenarioShort>` | `getScenarioShort()` Gets the value of the scenarioShort property.
    `int` | `getScenarioShortNSizeIs()` Gets the value of the scenarioShortNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setCfgUserInfo(java.util.List<CfgUserShort> cfgUserInfo)` Sets the value of the cfgUserInfo property.
    `void` | `setCfgUserInfoNSizeIs(int value)` Sets the value of the cfgUserInfoNSizeIs property.
    `void` | `setScenario(java.util.List<SchScenario> scenario)` Sets the value of the scenario property.
    `void` | `setScenarioNSizeIs(int value)` Sets the value of the scenarioNSizeIs property.
    `void` | `setScenarioShort(java.util.List<SchScenarioShort> scenarioShort)` Sets the value of the scenarioShort property.
    `void` | `setScenarioShortNSizeIs(int value)` Sets the value of the scenarioShortNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `SchScenarioHolder` | `withCfgUserInfo(CfgUserShort... values)`
    `SchScenarioHolder` | `withCfgUserInfo(java.util.Collection<CfgUserShort> values)`
    `SchScenarioHolder` | `withCfgUserInfoNSizeIs(int value)`
    `SchScenarioHolder` | `withScenario(java.util.Collection<SchScenario> values)`
    `SchScenarioHolder` | `withScenario(SchScenario... values)`
    `SchScenarioHolder` | `withScenarioNSizeIs(int value)`
    `SchScenarioHolder` | `withScenarioShort(java.util.Collection<SchScenarioShort> values)`
    `SchScenarioHolder` | `withScenarioShort(SchScenarioShort... values)`
    `SchScenarioHolder` | `withScenarioShortNSizeIs(int value)`
    `SchScenarioHolder` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### scenarioNSizeIs

          protected int scenarioNSizeIs

      Number of elements in the 'scenario' array

    - #### scenario

          protected java.util.List<SchScenario> scenario

      An array of `SchScenario`

    - #### scenarioShortNSizeIs

          protected int scenarioShortNSizeIs

      Number of elements in the 'scenarioShort' array

    - #### scenarioShort

          protected java.util.List<SchScenarioShort> scenarioShort

      An array of `SchScenarioShort`

    - #### cfgUserInfoNSizeIs

          protected int cfgUserInfoNSizeIs

      Number of elements in the 'cfgUserInfo' array

    - #### cfgUserInfo

          protected java.util.List<CfgUserShort> cfgUserInfo

      Contains short user information for every unique gswUserId in SchScenario or SchScenarioShort. This is null if the user info was not requested. `CfgUserShort`

    - #### timestamp

          protected long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### SchScenarioHolder

          public SchScenarioHolder()

  - ### Method Detail

    - #### getScenarioNSizeIs

          public int getScenarioNSizeIs()

      Gets the value of the scenarioNSizeIs property.

    - #### setScenarioNSizeIs

          public void setScenarioNSizeIs(int value)

      Sets the value of the scenarioNSizeIs property.

    - #### getScenario

          public java.util.List<SchScenario> getScenario()

      Gets the value of the scenario property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scenario property.

      For example, to add a new item, do as follows:

              getScenario().add(newItem);

      Objects of the following type(s) are allowed in the list `SchScenario`

    - #### getScenarioShortNSizeIs

          public int getScenarioShortNSizeIs()

      Gets the value of the scenarioShortNSizeIs property.

    - #### setScenarioShortNSizeIs

          public void setScenarioShortNSizeIs(int value)

      Sets the value of the scenarioShortNSizeIs property.

    - #### getScenarioShort

          public java.util.List<SchScenarioShort> getScenarioShort()

      Gets the value of the scenarioShort property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scenarioShort property.

      For example, to add a new item, do as follows:

              getScenarioShort().add(newItem);

      Objects of the following type(s) are allowed in the list `SchScenarioShort`

    - #### getCfgUserInfoNSizeIs

          public int getCfgUserInfoNSizeIs()

      Gets the value of the cfgUserInfoNSizeIs property.

    - #### setCfgUserInfoNSizeIs

          public void setCfgUserInfoNSizeIs(int value)

      Sets the value of the cfgUserInfoNSizeIs property.

    - #### getCfgUserInfo

          public java.util.List<CfgUserShort> getCfgUserInfo()

      Gets the value of the cfgUserInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cfgUserInfo property.

      For example, to add a new item, do as follows:

              getCfgUserInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgUserShort`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withScenarioNSizeIs

          public SchScenarioHolder withScenarioNSizeIs(int value)

    - #### withScenario

          public SchScenarioHolder withScenario(SchScenario... values)

    - #### withScenario

          public SchScenarioHolder withScenario(java.util.Collection<SchScenario> values)

    - #### withScenarioShortNSizeIs

          public SchScenarioHolder withScenarioShortNSizeIs(int value)

    - #### withScenarioShort

          public SchScenarioHolder withScenarioShort(SchScenarioShort... values)

    - #### withScenarioShort

          public SchScenarioHolder withScenarioShort(java.util.Collection<SchScenarioShort> values)

    - #### withCfgUserInfoNSizeIs

          public SchScenarioHolder withCfgUserInfoNSizeIs(int value)

    - #### withCfgUserInfo

          public SchScenarioHolder withCfgUserInfo(CfgUserShort... values)

    - #### withCfgUserInfo

          public SchScenarioHolder withCfgUserInfo(java.util.Collection<CfgUserShort> values)

    - #### withTimestamp

          public SchScenarioHolder withTimestamp(long value)

    - #### setScenario

          public void setScenario(java.util.List<SchScenario> scenario)

      Sets the value of the scenario property.
      Parameters:
        `scenario` - allowed object is `SchScenario`

    - #### setScenarioShort

          public void setScenarioShort(java.util.List<SchScenarioShort> scenarioShort)

      Sets the value of the scenarioShort property.
      Parameters:
        `scenarioShort` - allowed object is `SchScenarioShort`

    - #### setCfgUserInfo

          public void setCfgUserInfo(java.util.List<CfgUserShort> cfgUserInfo)

      Sets the value of the cfgUserInfo property.
      Parameters:
        `cfgUserInfo` - allowed object is `CfgUserShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.